Retrieve a published media file
curl --request GET \
--url https://app.myhero.so/published/media/{publishedId}/{imageId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.myhero.so/published/media/{publishedId}/{imageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.myhero.so/published/media/{publishedId}/{imageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Published
Retrieve a published media file
Streams the raw image bytes for imageId attached to the published document publishedId.
Verifies the media belongs to that document and that the document is currently published before serving the file.
GET
/
published
/
media
/
{publishedId}
/
{imageId}
Retrieve a published media file
⌘I